### Method

# Gio NetworkService get_protocol

since: 2.22

#### Declaration [src]

    const gchar*
    g_network_service_get_protocol (
      GNetworkService* srv
    )

#### Description [src]

Gets `srv`‘s protocol name (eg, “tcp”).

Available since: 2.22

Gets property | `Gio.NetworkService:protocol`

#### Return value

Type: `const gchar*`

`srv`‘s protocol name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.